Bug 177315 - Review Request: python-enchant - Python bindings for Enchant spellchecking library
Review Request: python-enchant - Python bindings for Enchant spellchecking li...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-09 11:00 EST by Roozbeh Pournader
Modified: 2014-07-02 08:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 11:30:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2006-01-09 11:00:19 EST
Spec Url: http://guava.farsiweb.info/~roozbeh/python-enchant.spec
SRPM Url: http://guava.farsiweb.info/~roozbeh/python-enchant-1.1.3-1.src.rpm
Description:
PyEnchant is a spellchecking library for Python, based on the Enchant
library by Dom Lachowicz.

Additional notes:
PyEnchant is an optional dependency of Translate Toolkit (bug 177204). I plan to make python-enchant a required dependency of translate-toolkit as soon as both packages are approved.
Comment 1 Brian Pepple 2006-01-31 17:00:28 EST
MD5Sums:
31bb75201ec0252793e2b5b57df683c0  pyenchant-1.1.3.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* All necessary BuildRequires listed
* Package rebuilds as non-root user
* Package installs and uninstalls cleanly on FC5t2
* rpmlint is clean

Minor:
* Requires enchant can be dropped since the soname should pull it in

PUBLISH +1
Comment 2 Brian Pepple 2006-01-31 17:04:42 EST
Oh, forgot to mention in my review that a newer version (1.1.5) is available.
Comment 3 Roozbeh Pournader 2006-02-01 11:30:06 EST
Thanks a lot for the review. Import and built. I filed the 1.1.5 update request
as bug 179593.
Comment 4 Roozbeh Pournader 2007-12-10 09:03:14 EST
Package Change Request
======================
Package Name: python-enchant 
New Branches: EL-5
Comment 5 Kevin Fenzi 2007-12-10 11:43:48 EST
cvs done.
Comment 6 Michael Mráka 2014-07-02 07:59:50 EDT
Package Change Request
======================
Package Name: python-enchant 
New Branches: epel7
Owners: mmraka

I'll be new EPEL co-maintainer for this package. I'm already the Fedora maintainer.
Comment 7 Jon Ciesla 2014-07-02 08:21:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.